

using Gee;

using People;


namespace People.Backend.Dummy.Test {

	public class ContactSourceFactory : People.Backend.Test.ContactSourceFactory {
		protected override void initialize () {
			backend_name = "Dummy";
			parameters_count = 2;
			parameters_names = new string[] { "contacts", "asynchronous" };
			parameters_types = new Type[] { typeof (Gee.Set<Backend.Contact>), typeof(bool) };

			base.initialize ();
		}

		protected override void set_up () {
			contact_source_factory = new People.Backend.Dummy.ContactSourceFactory ();

			base.set_up ();
		}

		static int main(string[] args) {
			var suite = new ContactSourceFactory();
			return suite.run();
		}

	}
}
