


using People;


namespace People.Backend.Lastfm.Test {

	public class ContactSource : People.Backend.Test.ContactSource {
		private string user = "sophie666";

		protected override void initialize () {
			backend_name = "Lastfm";
			contact_source_flags = Backend.ContactSourceFlags.NEED_NETWORK;

			contacts_count = 8;
			valid_contact_handle = "OverRide";
			invalid_contact_handle = "monsieurbaboul";

			base.initialize ();
		}

		protected override void set_up () {
			contact_source = new People.Backend.Lastfm.ContactSource (user);

			base.set_up ();
		}

		protected override void tear_down () {
			base.tear_down ();
		}

		static int main(string[] args) {
			var suite = new ContactSource ();
			return suite.run ();
		}

	}
}
