


using People;


namespace People.Backend.Lastfm.Test {

	public class ContactSaved : People.Backend.Test.Contact {
		protected override void initialize () {
			backend_name = "Lastfm";
			contact_id = "sophie666";
			contact_flags = Backend.ContactFlags.NONE;

			base.initialize ();
		}

		protected override void set_up () {
			contact = new People.Backend.Lastfm.Contact ("sophie666");

			defined_fields.add ("identity.name.full");
			defined_fields.add ("identity.age");
			defined_fields.add ("identity.country");
			defined_fields.add ("communication.web.lastfm.url");
			defined_fields.add ("communication.web.lastfm.user");
			defined_fields.add ("communication.web.lastfm.avatar");
			base.set_up ();
		}

		protected override void tear_down () {
			base.tear_down ();
		}

		static int main(string[] args) {
			var suite = new ContactSaved ();
			return suite.run ();
		}

	}
}
