


using People;


namespace People.Backend.Lastfm.Test {

	public class ContactSourceFactory : People.Backend.Test.ContactSourceFactory {
		protected override void initialize () {
			backend_name = "Twitter";
			parameters_count = 2;
			parameters_names = new string[] {"account", "password"};
			parameters_types = new Type[] {typeof (string), typeof (string)};

			base.initialize ();
		}

		protected override void set_up () {
			contact_source_factory = new People.Backend.Twitter.ContactSourceFactory ();

			base.set_up ();
		}

		static int main(string[] args) {
			var suite = new ContactSourceFactory();
			return suite.run();
		}

	}
}
