


using People;


namespace People.Backend.Twitter.Test {

	public class ContactSource : People.Backend.Test.ContactSource {
		private string account = "asabil";
		private string password = "kernel";

		protected override void initialize () {
			backend_name = "Twitter";
			contact_source_flags = Backend.ContactSourceFlags.NEED_NETWORK;

			contacts_count = 2;
			valid_contact_handle = "lethu";
			invalid_contact_handle = "faeafdsf";

			base.initialize ();
		}

		protected override void set_up () {
			contact_source = new People.Backend.Twitter.ContactSource (account, password);
			base.set_up ();
		}

		protected override void tear_down () {
			base.tear_down ();
		}

		static int main(string[] args) {
			var suite = new ContactSource ();
			return suite.run ();
		}

	}
}
