


using People;


namespace People.Backend.Friendfeed.Test {

	public class ContactSaved : People.Backend.Test.Contact {
		protected override void initialize () {
			backend_name = "Friendfeed";
			contact_id = "jprieur";
			contact_flags = Backend.ContactFlags.NONE;

			base.initialize ();
		}

		protected override void set_up () {
			contact = new People.Backend.Friendfeed.Contact ("jprieur");

			defined_fields.add ("identity.name.full");
			defined_fields.add ("identity.name.nickname");
			defined_fields.add ("communication.web.friendfeed.user");
			defined_fields.add ("communication.web.friendfeed.url");
			defined_fields.add ("communication.web.friendfeed.avatar");

			defined_fields.add ("communication.web.delicious.user");
			defined_fields.add ("communication.web.delicious.url");
			defined_fields.add ("communication.web.delicious.icon");

			defined_fields.add ("communication.web.blog.url");
			defined_fields.add ("communication.web.blog.icon");

			defined_fields.add ("communication.web.googlereader.url");
			defined_fields.add ("communication.web.googlereader.icon");

			defined_fields.add ("communication.web.netvibes.user");
			defined_fields.add ("communication.web.netvibes.url");
			defined_fields.add ("communication.web.netvibes.icon");

			defined_fields.add ("communication.web.lastfm.user");
			defined_fields.add ("communication.web.lastfm.url");
			defined_fields.add ("communication.web.lastfm.icon");

			defined_fields.add ("communication.web.netvibes.user");
			defined_fields.add ("communication.web.netvibes.icon");
			defined_fields.add ("communication.web.netvibes.url");
			base.set_up ();
		}

		protected override void tear_down () {
			base.tear_down ();
		}

		static int main(string[] args) {
			var suite = new ContactSaved ();
			return suite.run ();
		}

	}
}
