


using People;


namespace People.Backend.Keyfile.Test {

	public class ContactNew : People.Backend.Test.Contact {
		private KeyFile contacts;

		protected override void initialize () {
			backend_name = "Keyfile";
			contact_id = null;
			contact_flags = Backend.ContactFlags.EDITABLE | Backend.ContactFlags.DELETABLE;

			base.initialize ();
		}

		protected override void set_up () {
			contacts = new KeyFile ();
			contact = new Backend.Keyfile.Contact (null, null, contacts);

			mandatory_fields.add ("identity.name.first");
			mandatory_fields.add ("identity.name.last");

			base.set_up ();
		}

		static int main (string[] args) {
			var suite = new ContactNew ();
			return suite.run ();
		}

	}
}
