


using People;


namespace People.Backend.Sqlite.Test {

	public class ContactSourceFactory : People.Backend.Test.ContactSourceFactory {
		protected override void initialize () {
			backend_name = "Sqlite";
			parameters_count = 1;
			parameters_names = new string[] {"db-path"};
			parameters_types = new Type[] {typeof(string)};

			base.initialize ();
		}

		protected override void set_up () {
			contact_source_factory = new Backend.Sqlite.ContactSourceFactory ();

			base.set_up ();
		}

		static int main(string[] args) {
			var suite = new ContactSourceFactory ();
			return suite.run ();
		}

	}
}
