/* errors.vala
 *
 * Copyright (C) 2008 Ali Sabil <ali.sabil@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 *
 */


namespace People.Backend {

	public errordomain Error {
		NOT_IMPLEMENTED,
		NOT_AVAILABLE,
		NOT_SUPPORTED,
		NOT_AUTHORIZED,
		NOT_AUTHENTICATED,

		INVALID_ARGUMENT,

		NETWORK_ERROR,

		INTERNAL_ERROR = 99,
	}

	public errordomain ContactError {
		UNKNOWN_FIELD,
		READ_ONLY_FIELD,
		MISSING_MANDATORY_FIELD,
	}
}
